> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List user record entries

> List all entries, across all lists, for which this user record is the parent.

Required scopes: `record_permission:read`, `object_configuration:read`, `list_entry:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/standard-objects get /v2/objects/users/records/{record_id}/entries
openapi: 3.1.0
info:
  title: Attio Standard Objects
  version: 2.0.0
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
paths:
  /v2/objects/users/records/{record_id}/entries:
    get:
      tags:
        - Users
      summary: List user record entries
      description: >-
        List all entries, across all lists, for which this user record is the
        parent.


        Required scopes: `record_permission:read`, `object_configuration:read`,
        `list_entry:read`.
      parameters:
        - schema:
            type: string
            description: A UUID of the user record to fetch entries for.
            example: 5e3fb280-007b-495a-a530-9354bde01de1
          required: true
          name: record_id
          in: path
        - schema:
            type: integer
            description: >-
              The maximum number of results to return. The default is `100` and
              the maximum is `1000`. See the [full guide to pagination
              here](/rest-api/guides/pagination).
            example: 10
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: >-
              The number of results to skip over before returning. The default
              is `0`. See the [full guide to pagination
              here](/rest-api/guides/pagination).
            example: 5
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        list_id:
                          type: string
                          format: uuid
                          description: A UUID identifying the list that this record is in.
                          example: 33ebdbe9-e529-47c9-b894-0ba25e9c15c0
                        list_api_slug:
                          type: string
                          description: >-
                            A human-readable slug for the list for use in URLs
                            and responses.
                          example: hiring-engineering
                        entry_id:
                          type: string
                          format: uuid
                          description: A UUID identifying this entry on the list.
                          example: 2e6e29ea-c4e0-4f44-842d-78a891f8c156
                        created_at:
                          type: string
                          description: When this entry was created.
                          example: '2022-11-21T13:22:49.061281000Z'
                      required:
                        - list_id
                        - list_api_slug
                        - entry_id
                        - created_at
                required:
                  - data
                description: Success
      security:
        - oauth2:
            - record_permission:read
            - object_configuration:read
            - list_entry:read
components:
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````